precise can't boot with linux 3.2.0.1.1

Bug #897102 reported by eric on 2011-11-28
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

I have tried to install precise with a daily live and it could boot properly with the usb drive but once installed on disk, I was not able to boot at all. It hungs before I can reach lightdm.

I have installed oneiric and I have upgraded to precise. Same thing, I can't boot with kernel 3.2.0.1.1

My computer works perfectly if I boot on precise with oneiric kernel 3.0.0-13

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-generic 3.2.0.1.1
ProcVersionSignature: Ubuntu 3.0.0-13.22-genUser Name 3.0.6
Uname: Linux 3.0.0-13-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: eric 1624 F.... pulseaudio
 /dev/snd/controlC1: eric 1624 F.... pulseaudio
CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf9ff8000 irq 46'
   Mixer name : 'Analog Devices AD1989B'
   Components : 'HDA:11d4989b,10438311,00100300'
   Controls : 47
   Simple ctrls : 26
Card1.Amixer.info:
 Card hw:1 'U0x46d0x8b2'/'USB Device 0x46d:0x8b2 at usb-0000:00:1d.0-2, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:08b2'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 3
   Mono: Capture 2 [67%] [50.00dB] [on]
Date: Mon Nov 28 09:06:01 2011
HibernationDevice: RESUME=UUID=7f75b1da-fb52-4189-99d7-e9f2ea4af423
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 eth1 no wireless extensions.
MachineType: System manufacturer P5Q DELUXE
ProcEnviron:
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-13-genUser Name root=UUID=af8882e7-b303-4658-a4e3-246f260caf49 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-13-generic N/A
 linux-backports-modules-3.0.0-13-generic N/A
 linux-firmware 1.62
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2011-11-23 (4 days ago)
dmi.bios.date: 07/10/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2301
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5Q DELUXE
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2301:bd07/10/2009:svnSystemmanufacturer:pnP5QDELUXE:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5QDELUXE:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: P5Q DELUXE
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

eric (obrowny06) wrote :
Brad Figg (brad-figg) on 2011-11-28
Changed in linux (Ubuntu):
status: New → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-2.4
eric (obrowny06) wrote :

still not booting with the newer kernel.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Can you follow the "Boot options" instructions on the following wiki to enable additional output on boot:

https://wiki.ubuntu.com/DebuggingKernelBoot

As mentioned on the wiki, it would be great if you can attach a log file which may have captured any messages you see. If you are unable to capture a log file, a digital photo will work just as well. As a last resort you can even copy messages down by hand.

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key kernel-key regression-release
tags: removed: kernel-key

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-2.5
tags: added: bot-stop-nagging
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest v3.2-rcN kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.2-rc1 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.2-rc1'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'. If you believe this bug does not require upstream testing, please add the tag: 'kernel-upstream-testing-not-needed'.

Thanks in advance.

tags: added: needs-upstream-testing
eric (obrowny06) wrote :

In text mode I have any error message but after : ubuntu precise tty, I get a blank screen.
Do I need to test with the v3.2-rc3-oneiric/ on this page ?
 http://kernel.ubuntu.com/~kernel-ppa/mainline/
thanks

eric (obrowny06) wrote :

I have installed the current 3.2.0-999 1st december and it was the same but I could see the plymouth image on boot and moreover I could see two error messages : lightdm fail and graphic fallback fail.

So I have decided to deal with nouveau instead of nvidia drivers and guess what it is now booting with kernel 3.2.0-2

So the problem is with nvidia drivers. I don't know where to report or if it is too early to report problems with proprietary drivers.

So I let you decide if we should tag it as "fix released" or not.

thanks

obrowny: As someone noted over on bug #901386, your bug sounds very similar to what I'm experiencing.

I don't see which hardware you're using. Can you tell us what kind of nVidia card you have? Mine's a Pny GTX 560 Ti.

Also, you might want to try booting with a mainline kernel. I used 3.2rc4 (http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-rc4-oneiric/), and was able to use nvidia-current without any problem (which is why I filed my bug against the kernel package and not nvidia-current). Can you test to see if that works for you too?

eric (obrowny06) wrote :

My card is a 9600 gt. As said I 've tried with the mainline kernel from 1st of december and it was not working. Of course I can try a newer one and see if it is fixed with mainline.
It seems that alpha 1 precise installs nvidia-173 by default.
I know a lot of people who could not boot from alpha 1.

Daniel Fletcher (xyzzyman) wrote :

WIth my 9600M GS 512MB, I have to use intel_iommu=off on the 3.2 kernels unless I compile a kernel with IOMMU already off (Which I wind up doing as I compile my own kernel for other reasons). It's annoying as when I do a fresh install of a PP daily and I click to add additional like MP3 support, it install nvidia-173 which just like the newer nvidia binaries or nvidia-current will not work with my Core2 notebook and video card with IOMMU on. My CPU doesn't support IOMMU.

Daniel Fletcher (xyzzyman) wrote :

This should now be fixed:

https://launchpad.net/ubuntu/precise/+source/linux/3.2.0-10.17

 * [Config] Disable CONFIG_INTEL_IOMMU_DEFAULT_ON

Confirmed fixed here.

Joseph Salisbury (jsalisbury) wrote :

obrowny,

Can you confirm the bug is fixed for you as well?

eric (obrowny06) wrote :

Well the bug is fixed with nouveau drivers. Would you like me to test with nvidia one to confirm the bug is fixed ?

Marking this fix released, per comments 13 and 15.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers